Prompt $G
Title WS2 %~1 %~2

:: WS2_Utils Desktop Save __KK.DAT
:: WS2_Utils Network Save __KK.DAT

Set EchoMode=Off
Echo %EchoMode%
%Call_%Call_Init /Init /%EchoMode% /ShowBox
Echo %EchoMode%

%Call_%GetTokenTime
Set Time_Start=%Dat_TokenTime%

Path=D:\Scripte;%path%
::     ****************************************************
::     *  Author:  Kalle Koseck
::     *  License: GPL / GNU General Public License
::     *  Date:    2010-08-11
::     *  Revised: 
::     *           
(
Echo.  *           
Echo.  *  File:    WS2_Utils.cmd
Echo.  *           
Echo.  *  Para1:   "%~1"
Echo.  *  Para2:   "%~2"
Echo.  *  Para3:   "%~3"
Echo.  *           
Echo.  *  Para1     Para2       Para3
Echo.  *  -------   ----------  --------------------
Echo.  *  Desktop   Save        ScreenResolution
Echo.  *  Desktop   Restore     ScreenResolution
Echo.  *  Desktop   Check       ScreenResolution
Echo.  *  Desktop   CheckNoBox  ScreenResolution
Echo.  *  
Echo.  *  Network   Save        Network_PathFile
Echo.  *  Network   Restore     Network_PathFile
Echo.  *  
Echo.  *  Language              Language_Name_Long
)
::     *  
::     ****************************************************

%Call_%GetLanguage

If /I "%~1" EQU "LANGUAGE"   Goto :Language_Set
If /I "%~1" EQU "NETWORK"    Goto :Network

Rem --- DesktopIcon Positions
Rem    *           
Rem    *  Para2:   "%~2"
::     *           1: Save Positions
::     *           2: Restore Positions
::     *           3: Search for changed Positions
::     *              messagebox, if nothing was changed
::     *           4: Search for changed Positions
::     *              no messagebox, if nothing was changed
::     *           


%Call_%WS2_DesktopIcon Desktop "%~2" "%~3"
Set WS2_Utils_Error=%ErrorLevel%

Goto WS2_Utils_Exit

==============================================================

:Network
Rem --- Label --- :Network Save or Restore
If /I "%~2" EQU "RESTORE"   Goto Network_Restore

Rem --- Wrapper for the routine LAN_Save
Rem     only "Exit number" generates the return code
Rem     for the calling program

%Call_%LAN_Save "%~3" /Called

Set WS2_Utils_Error=%ErrorLevel%

Goto WS2_Utils_Exit
==============================================================

:Network_Restore
Rem --- Label --- :Network_Restore

Rem --- Wrapper for the routine LAN_Restore
Rem     only "Exit number" generates the return code
Rem     for the calling program

%Call_%LAN_Restore "%~3" /Called

Set WS2_Utils_Error=%ErrorLevel%

Goto WS2_Utils_Exit
==============================================================

:Language_Set
Rem --- Label --- :Language_Set

Title WS2 %~1 %~3
%Call_%GetLanguage /INIT "%~3"

Goto WS2_Utils_Exit
==============================================================

:WS2_Utils_Exit
Rem --- Label --- :WS2_Utils_Exit

%Call_%GetTokenTime
Set /A Time_Diff= %Dat_TokenTime% - %Time_Start%

(
Echo.  &Echo.  WS2_Utils_Error  %WS2_Utils_Error% &Echo.
Echo.  
Echo.  EXIT;  Runtime [sec]: %Time_Diff%   
Echo.  
)
Rem --- wait 8 pause
Rem --- 
If EXIST WS2_Utils_WBox_at_the_End.txt (
WBox.exe "Finished %~nx0" "%~nx0##Errors: %WS2_Utils_Error%##P1: ''%~1''#P2: ''%~2''#P3: ''%~3''##Click here to stop the Timer##" "Quit -$-" /TM=4 /WW=250 /CR=#
)
Exit %WS2_Utils_Error%

		*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
			THIS IS THE END MY FRIEND
		*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*

:: Pause  
%Call_%Call_init /Init /on
%Call_%GetMessage Lang_WinSize2 DesktopIcon M100
Echo.  &Echo.  Test00:  %M100% &Echo.

