<?php require_once('../_incGlobals.php'); ?>
<?php require_once('lang_sv.php'); ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="<?php echo "$Page_Language"; ?>" xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo "$Page_Language"; ?>">
<head>
    <meta http-equiv="content-type" content="text/html; charset=<?php echo "$Page_Charset"; ?>" />
    <title><?php echo "$Page_Title"; ?></title>
    <meta name="description" content="<?php echo "$Page_Description"; ?>" />
    <meta name="keywords" content="<?php echo "$Page_Keywords"; ?>" />
    <meta name="modified" content="ISO-8601: 2010-08-01T13:01Z" />
    <meta name="size" content="821000" />
    <link rel="icon" href="../pics/WinSize2.ico" type="image/x-icon" />
    <link rel="stylesheet" href="../css/allcss2.css" type="text/css" media="screen,projection" />
</head>
<body style="direction: <?php echo "$Page_Direction"; ?>;">

<div id="wrapper" class="fluid">
    <div id="header">
        <img src="../pics/WinSize2_IniScreen.jpg" style="float:left; height:160px; width:180px; padding-right:20px" alt="WinSize2" />

        <h1><?php echo "$HeadTitle"; ?></h1>
        <p>&nbsp;</p>

        <a>
        <img src="http://sflogo.sourceforge.net/sflogo.php?group_id=239629&amp;type=16" style="float:left; width:150px; height:50px; border:0; padding:0px 12px 0px 0px;" alt="SourceForge.net" />
        <br />
        <b><?php echo "$SF_Supports"; ?></b>
        </a>
        <p>&nbsp;</p>

        <ul id="nav">
            <li>
                <a href="http://sourceforge.net/projects/winsize2"><?php echo "$Download_WinSize2"; ?></a>
            </li>
            <li>
                <a href="http://winsize2.sourceforge.net/html/OtherPrograms.html"><?php echo "$Other_Programs"; ?></a>
            </li>
        </ul>
    </div>

<!-- ===================================================== -->
    <!-- no left sidebar !!
        <div id="sidebar_left">
        <h2>The left sidebar!</h2>
        <p>
        </p>
    </div>-->

<!-- ===================================================== -->
    <div id="sidebar_right">

        <!--h2><?php echo "$Languages"; ?></h2-->

        <p>
            <img src="../pics/en.gif" alt="EN" height="13" width="18" />&nbsp;&nbsp;
            <a href="../en/index.php" lang="en"><?php echo "$gen_English"; ?></a><br />

            <img src="../pics/de.gif" alt="DE" height="13" width="18" />&nbsp;&nbsp;
            <a href="../de/index.php" lang="de"><?php echo "$gen_German"; ?></a><br />

            <img src="../pics/se.gif" alt="SE" height="13" width="18" />&nbsp;&nbsp;
            <a href="../sv/index.php" lang="sv"><?php echo "$gen_Swedish"; ?></a><br />

            <br />
            <b><a href="http://www.disclaimer.de/disclaimer.htm?farbe=fffffb/0000d0/0000d0/0000d0" onclick="this.target='_Disclaimer_';"><?php echo "$Disclaimer"; ?></a></b>
        </p>

        <h2><?php echo "$Editions"; ?></h2>

        <p>
            <b><i>V 2.36</i></b> (2010-09-???)
            <br /><?php echo "$Editions_003"; ?>
        </p>
        <p>
            <b><i>V 2.35</i></b> (2010-08-20)
            <br /><?php echo "$Editions_002"; ?>
        </p>
        <p>
            <b><i>V 2.34.05</i></b> (2010-07-07)
            <br /><?php echo "$Editions_001"; ?>
        </p>

        <h2><?php echo "$Contents"; ?></h2>

        &raquo; <a href="#aIntro"><?php echo "$Contents_01"; ?></a><br />
        &raquo; <a href="#aHotkeys"><?php echo "$Contents_02"; ?></a><br />
        &raquo; <a href="#aOptions"><?php echo "$Contents_03"; ?></a><br />
        &raquo; <a href="#aOldWinSize"><?php echo "$Contents_04"; ?></a><br />
        &raquo; <a href="#aVirusAlarm"><?php echo "$Contents_05"; ?></a><br />
    </div>

<!-- ===================================================== -->
    <div id="content" > <!--class="with_sidebar"-->
        <!--p>
        italic: <em>really</em> Code: <code>fixed</code>,
        </p-->

        <a href="http://winsize2.sourceforge.net/"><img src="../pics/Cuttermaran%20Open%20Video.jpg" width="40%" style="border:0" alt="Open filename" /></a>

<!-- ===================================================== -->
        <h2><a id="aIntro"><?php echo "$Introduction"; ?></a></h2>

        <ul>
            <li><?php echo "$Intro_01"; ?></li>
            <li><?php echo "$Intro_02"; ?></li>
            <li><?php echo "$Intro_03"; ?></li>
            <li><?php echo "$Intro_04"; ?></li>
            <li><?php echo "$Intro_05"; ?></li>
            <li><?php echo "$Intro_06"; ?></li>
            <li><?php echo "$Intro_07"; ?></li>
            <li><?php echo "$Intro_08"; ?></li>
            <li><?php echo "$Intro_09"; ?></li>
            <li><?php echo "$Intro_10"; ?></li>
            <li><?php echo "$Intro_11"; ?></li>
            <li><?php echo "$Intro_12"; ?></li>
            <li><?php echo "$Intro_13"; ?></li>
            <li><?php echo "$Intro_14"; ?></li>
            <li><?php echo "$Intro_15"; ?></li>
        </ul>
        <br />

        <a href="http://winsize2.sourceforge.net/"><img src="pics/WS2_WinTitle.jpg" width="90%" alt="<?php echo "$Img_01_Title"; ?>" /></a>
        <br />
        <i><?php echo "$Img_01_Text"; ?></i>
        <br />

        <a class="gotop" href="#" title="<?php echo "$GoTopTitle"; ?>"><?php echo "$GoTopText"; ?></a>
        <br />

<!-- ===================================================== -->
        <h2><a id="aHotkeys"><?php echo "$Hotkeys"; ?></a></h2>

        <?php echo "$Hotkeys_Text"; ?>

        <ul>
            <li><?php echo "$Hotkeys_01"; ?></li>
            <li><?php echo "$Hotkeys_02"; ?></li>
            <li><?php echo "$Hotkeys_03"; ?></li>
        </ul>

        <a class="gotop" href="#" title="<?php echo "$GoTopTitle"; ?>"><?php echo "$GoTopText"; ?></a>
        <br />

<!-- ===================================================== -->
        <h2><a id="aOptions"><?php echo "$Options"; ?></a></h2>

        <ul>
            <li><?php echo "$Options_01"; ?></li>
            <li><?php echo "$Options_02"; ?></li>
            <li><?php echo "$Options_03"; ?></li>
            <li><?php echo "$Options_04"; ?></li>
            <li><?php echo "$Options_05"; ?></li>
        </ul>
        <br />

        <a href="http://winsize2.sourceforge.net/"><img src="pics/WS2_Extras1.jpg" width="90%" alt="<?php echo "$Img_02_Title"; ?>" /></a>
        <br />
        <i><?php echo "$Img_02_Text"; ?></i>
        <p>&nbsp;</p>

        <a href="http://winsize2.sourceforge.net/"><img src="pics/WS2_Extras2.jpg" width="90%" alt="<?php echo "$Img_03_Title"; ?>" /></a>
        <br />
        <i><?php echo "$Img_03_Text"; ?></i>
        <p>&nbsp;</p>

        <a href="http://winsize2.sourceforge.net/"><img src="pics/WS2_Group.jpg" width="90%" alt="<?php echo "$Img_04_Title"; ?>" /></a>
        <br />
        <i><?php echo "$Img_04_Text"; ?></i>
        <p>&nbsp;</p>

        <a href="http://winsize2.sourceforge.net/"><img src="pics/WS2_Network.jpg" width="90%" alt="<?php echo "$Img_05_Title"; ?>" /></a>
        <br />
        <i><?php echo "$Img_05_Text"; ?></i>
        <br />

        <a class="gotop" href="#" title="<?php echo "$GoTopTitle"; ?>"><?php echo "$GoTopText"; ?></a>
        <br />

<!-- ===================================================== -->
        <h2><a id="aOldWinSize"><?php echo "$OldWinSize"; ?></a></h2>

        <?php echo "$OldWinSize_Text"; ?>

        <a class="gotop" href="#" title="<?php echo "$GoTopTitle"; ?>"><?php echo "$GoTopText"; ?></a>
        <br />

<!-- ===================================================== -->
        <h2><a id="aVirusAlarm"><?php echo "$VirusAlarm"; ?></a></h2>

        <?php echo "$VirusAlarm_Text"; ?>

        <a class="gotop" href="#" title="<?php echo "$GoTopTitle"; ?>"><?php echo "$GoTopText"; ?></a>
        <br />

<!-- ===================================================== -->
    </div>  <!-- id="content" -->


    <!-- If you wish to delete this line of code please purchase our commercial license http://www.sixshootermedia.com/shop/commercial-license/ -->
    <div id="footer">
        <p>Template by <a href="http://www.sixshootermedia.com/free-templates/">Six Shooter Media</a> -- Design and &copy; Copyright by Magra 2010
        <br />National flags by <a href="http://www.nationalflaggen.de/">Nationalflaggen.de</a></p>
        <p style="float: right;">
        <a href="http://validator.w3.org/check?uri=referer" onclick="this.target='_W3_ORG_';"><img src="../pics/valid-xhtml10.png" alt="Valid XHTML 1.0 Transitional" style="border:0;width:60px;height:21px" /></a>
        <!--a href="http://validator.w3.org/check?uri=referer" onclick="this.target='_W3_ORG_';"><img src="../pics/valid-xhtml11.png" alt="Valid XHTML 1.1" style="border:0;width:60px;height:21px" /></a-->
        <a href="http://jigsaw.w3.org/css-validator/check/referer" onclick="this.target='_W3_ORG_';"><img src="../pics/vcss.gif" alt="Valid CSS!" style="border:0;width:60px;height:21px" /></a>
        <a href="http://jigsaw.w3.org/css-validator/check/referer" onclick="this.target='_W3_ORG_';"><img src="../pics/vcss-blue.gif" alt="Valid CSS!" style="border:0;width:60px;height:21px" /></a>
        </p>
    </div>

<!-- ===================================================== -->
<!-- BEGIN Piwik Tag -->
<?php echo PiwikTag('winsize2',5); ?>
<!-- END Piwik Tag -->

</div>    <!-- id="wrapper" -->
</body></html>

