 /*************************************************************************
 *
 *  #Include inc_Message.ahk
 *
 *  Author:   Kalle Koseck
 *  Date:     2008-09-19
 *  Revison:  
 *  Typ:      Method
 *************************************************************************
 *
 *  this has to be a function declaration for use in #Include statement:
 */
Message_Get( Number , Init=0 )
{
	Global
	Static vLang_InitDone
	Local vMessage
	
	; if Number = "DesktopIcon001"
	;	msgbox DesktopIcon001: "%vMessage%"

	If ( Init = 1 )
	{
		vLang_InitDone=
	}
	
	If ( vLang_InitDone = "" )
	{
		vLang_InitDone := 1

		StringUpper, vLanguage_INI, vLanguage_INI
		; mIniRead_All()
		; MsgBox Lang 01: "%vLanguage_INI%"
		
		mLang_Select_All_Set()

		vLang_File_ID := "Lang_WinSize2"
		vLang_FRoot := vLang_File_ID
		;          Lang_WinSize2_GERMAN.msg 
		vLang_File=%vLang_FRoot%_%vLanguage_NameLong%.msg
		; msgbox Message_Get: %vLang_File%
	}
	; ---- End If vLang_InitDone = "" ----
	
	; --- no language: display "Number" only
	If ( vLang_File = "-" )
	{
		vMessage =Msg-%Number%
	}
	Else
	{
		vLang_Section=Lang_Msg   ; "[..]"
		vLang_Key=M%Number%
		; listvars
		; msgbox, msg1k "%vLang_Key%", "%vLang_File%", "%vLang_Section%", "%vMessage%"

		IniRead, vMessage, %vLang_File%, %vLang_Section%, %vLang_Key%

		; replace all new-line-marks with really new lines
		StringReplace , vMessage , vMessage , \N, `n , All

		; msgbox, msg2k "%vLang_Key%", "%vLang_File%", "%vLang_Section%", "%vMessage%"
		If ( vMessage_Help >= 1 )
			vMessage =(%Number%) %vMessage%
		If ( vMessage_Help = 2 )
			MsgBox, 0, Message Info, %vMessage%
			
		; msgbox, msg3k "%vLang_Key%", "%vLang_File%", "%vLang_Section%", "%vMessage%"
	}
	If ( vMessage = "ERROR" )
		vMessage =Msg-%Number%

	vLang_Message = 0

	;if ( Number >= 1080 AND Number <= 1084 )
	;	msgbox Message %vLang_Key% = "%vMessage%" (%Errorlevel%)

	; replace all "#" with CR LF
	StringReplace, vMessage, vMessage, # , `r`n , A 

	Return %vMessage%
}
/*************************************************************************
 *
 *  this has to be a function declaration for use in #Include statement:
 */
Message_Get_File( File, Section, Key )
{
	Global

	IniRead, vMessage, %File%, %Section%, %Key%

	; Msgbox IniRead   %File%   %Section%    %Key%   "%vMessage%"

	; replace all "#" with CR LF
	StringReplace, vMessage, vMessage, # , `r`n , A 

	Return %vMessage%
}
/*
 *************************************************************************
 *  END #Include inc_Message.ahk
 *************************************************************************
 */
